package com.example.demo;

import org.springframework.stereotype.Component;

/* LogikaKalkulatora jest przykładem "komponentu".
 * Podczas startu aplikacji Spring tworzy jeden obiekt tej klasy (tzw. singleton) i zapamiętuje go jako "bean".
 * W starszych wersjach Springa tego typu klasy należało zadeklarować w pliku beans.xml.
 * Obecnie używa się raczej adnotacji. Takie działanie mają adnotacje: @Component, @Service, @Repository, @Controller.
 * 
 * Inny sposób tworzenia beanów/kompomentów: klasa fabryczna z metodami oznaczonymi @Bean (będą inne przykłady).
 */

@Component
public class LogikaKalkulatora {

	public long oblicz(long liczba1, long liczba2, String operacja) {
		switch(operacja) {
			case "+": return liczba1 + liczba2;
			case "-": return liczba1 - liczba2;
			case "*": return liczba1 * liczba2;
			case "/": return liczba1 / liczba2;
			default : return 0;
		}
	}
}
